# WOK
TKWOK
MS

# MS_SequenceOfComponent Class Reference

`#include <MS_SequenceOfComponent.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MS_SequenceOfComponent ()
Standard_EXPORT void | Clear ()
| ~MS_SequenceOfComponent ()
Standard_EXPORT const MS_SequenceOfComponent & | Assign (const MS_SequenceOfComponent &Other)
const MS_SequenceOfComponent & | operator= (const MS_SequenceOfComponent &Other)
Standard_EXPORT void | Append (const Handle(MS_Component)&T)
void | Append (MS_SequenceOfComponent &S)
Standard_EXPORT void | Prepend (const Handle(MS_Component)&T)
void | Prepend (MS_SequenceOfComponent &S)
void | InsertBefore (const Standard_Integer Index, const Handle(MS_Component)&T)
void | InsertBefore (const Standard_Integer Index, MS_SequenceOfComponent &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(MS_Component)&T)
void | InsertAfter (const Standard_Integer Index, MS_SequenceOfComponent &S)
Standard_EXPORT const Handle_MS_Component & | First () const
Standard_EXPORT const Handle_MS_Component & | Last () const
void | Split (const Standard_Integer Index, MS_SequenceOfComponent &Sub)
Standard_EXPORT const Handle_MS_Component & | Value (const Standard_Integer Index) const
const Handle_MS_Component & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(MS_Component)&I)
Standard_EXPORT Handle_MS_Component & | ChangeValue (const Standard_Integer Index)
Handle_MS_Component & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MS_SequenceOfComponent (const MS_SequenceOfComponent &Other)

## Constructor & Destructor Documentation

MS_SequenceOfComponent::MS_SequenceOfComponent | ( |  | ) |

MS_SequenceOfComponent::~MS_SequenceOfComponent | ( |  | ) | `[inline]`

Standard_EXPORT MS_SequenceOfComponent::MS_SequenceOfComponent | ( | const MS_SequenceOfComponent & | Other | ) | `[private]`

## Member Function Documentation

void MS_SequenceOfComponent::Append | ( | MS_SequenceOfComponent & | S | ) |

Standard_EXPORT void MS_SequenceOfComponent::Append | ( | const Handle(MS_Component)& | T | ) |

Standard_EXPORT const MS_SequenceOfComponent& MS_SequenceOfComponent::Assign | ( | const MS_SequenceOfComponent & | Other | ) |

Standard_EXPORT Handle_MS_Component& MS_SequenceOfComponent::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfComponent::Clear | ( |  | ) |

Standard_EXPORT const Handle_MS_Component& MS_SequenceOfComponent::First | ( |  | ) | const

void MS_SequenceOfComponent::InsertAfter | ( | const Standard_Integer | Index,
|  | MS_SequenceOfComponent & | S
| ) |

Standard_EXPORT void MS_SequenceOfComponent::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(MS_Component)& | T
| ) |

void MS_SequenceOfComponent::InsertBefore | ( | const Standard_Integer | Index,
|  | MS_SequenceOfComponent & | S
| ) |

void MS_SequenceOfComponent::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(MS_Component)& | T
| ) |

Standard_EXPORT const Handle_MS_Component& MS_SequenceOfComponent::Last | ( |  | ) | const

void MS_SequenceOfComponent::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MS_SequenceOfComponent::operator new | ( | size_t | size | ) | `[inline]`

void* MS_SequenceOfComponent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MS_Component& MS_SequenceOfComponent::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MS_Component& MS_SequenceOfComponent::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MS_SequenceOfComponent& MS_SequenceOfComponent::operator= | ( | const MS_SequenceOfComponent & | Other | ) | `[inline]`

void MS_SequenceOfComponent::Prepend | ( | MS_SequenceOfComponent & | S | ) |

Standard_EXPORT void MS_SequenceOfComponent::Prepend | ( | const Handle(MS_Component)& | T | ) |

Standard_EXPORT void MS_SequenceOfComponent::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MS_SequenceOfComponent::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfComponent::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MS_Component)& | I
| ) |

void MS_SequenceOfComponent::Split | ( | const Standard_Integer | Index,
|  | MS_SequenceOfComponent & | Sub
| ) |

Standard_EXPORT const Handle_MS_Component& MS_SequenceOfComponent::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MS_SequenceOfComponent.hxx